com.genesyslab.wfm7.API.service.performance700

## Class SPerfFactors

- java.lang.Object
- - com.genesyslab.wfm7.API.service.performance700.SPerfFactors

- All Implemented Interfaces:
    java.io.Serializable

      public class SPerfFactors
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private double` | `abandonFactor`
    `private double` | `ASA`
    `private double` | `serviceFactor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPerfFactors()`
    `SPerfFactors(double serviceFactor, double abandonFactor, double ASA)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getAbandonFactor()` Gets the abandonFactor value for this SPerfFactors.
    `double` | `getASA()` Gets the ASA value for this SPerfFactors.
    `double` | `getServiceFactor()` Gets the serviceFactor value for this SPerfFactors.
    `int` | `hashCode()`
    `void` | `setAbandonFactor(double abandonFactor)` Sets the abandonFactor value for this SPerfFactors.
    `void` | `setASA(double ASA)` Sets the ASA value for this SPerfFactors.
    `void` | `setServiceFactor(double serviceFactor)` Sets the serviceFactor value for this SPerfFactors.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serviceFactor

          private double serviceFactor

    - #### abandonFactor

          private double abandonFactor

    - #### ASA

          private double ASA

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SPerfFactors

          public SPerfFactors()

    - #### SPerfFactors

          public SPerfFactors(double serviceFactor,
                      double abandonFactor,
                      double ASA)

  - ### Method Detail

    - #### getServiceFactor

          public double getServiceFactor()

      Gets the serviceFactor value for this SPerfFactors.
      Returns:
        serviceFactor

    - #### setServiceFactor

          public void setServiceFactor(double serviceFactor)

      Sets the serviceFactor value for this SPerfFactors.
      Parameters:
        `serviceFactor` -

    - #### getAbandonFactor

          public double getAbandonFactor()

      Gets the abandonFactor value for this SPerfFactors.
      Returns:
        abandonFactor

    - #### setAbandonFactor

          public void setAbandonFactor(double abandonFactor)

      Sets the abandonFactor value for this SPerfFactors.
      Parameters:
        `abandonFactor` -

    - #### getASA

          public double getASA()

      Gets the ASA value for this SPerfFactors.
      Returns:
        ASA

    - #### setASA

          public void setASA(double ASA)

      Sets the ASA value for this SPerfFactors.
      Parameters:
        `ASA` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.